Bug 10434 - IPv4 forwarding not set or unset by Linuxconf in RH 6.2
IPv4 forwarding not set or unset by Linuxconf in RH 6.2
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: 11230 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-03-30 04:37 EST by jonathan
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-06 10:20:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jonathan 2000-03-30 04:37:17 EST
The new initscripts 5.00 RPM uses information from /etc/sysctl.conf
to decide whether or not IP forwarding should be enabled.  Earlier
versions (including 4.70) used information from /etc/sysconfig/network.

Linuxconf sets and resets the information in /etc/sysconfig/network,
which is no longer read or used by initscripts 5.00 for this purpose.

Therefore, changing IP forwarding from the Linuxconf -> Networking ->
 Client Tasks -> Routing and gateways -> Set Defaults menu has no
effect on the system.

WORKAROUND: Edit the file /etc/sysctl.conf by hand and set

net.ipv4.ip_forward = 1

to enable forwarding; this value is read and acted upon every time
networking is started or restarted.

Suggested solution: It looks to me as though Linuxconf will now have to
parse and edit this new file /etc/sysctl.conf in order to provide this

Jonathan Marsden <jonathan@xc.org>
Comment 1 James Manning 2000-04-06 10:20:59 EDT
Using netconf (text mode) and "Enable routing" also leads to no working
routing.  Since I can't find any initscripts methods that reads a var
and optionally does the echo 1 > ip_forward, my workaround was doing
so at the end of rc.local
Comment 2 Nalin Dahyabhai 2000-09-12 14:49:45 EDT
This has been fixed in Raw Hide.
Comment 3 Nalin Dahyabhai 2000-09-12 15:05:33 EDT
*** Bug 11230 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.